# RSL_wsr88d_to_radar

### Synopsis

#include "rsl.h"
Radar *RSL_wsr88d_to_radar(char *infile, char *callid_or_first_file);

### Description

Reads a wsr88d (NEXRAD) file and returns a pointer to the Radar structure. The input file is specified by the string infile. If infile is NULL, then stdin is read. The input file may be compressed. If the data is compressed, it is passed through the GNU gunzip filter. Thus, compressed data can be any format that gzip understands.

The radar structure is, essentially, an array of Volumes. These volumes represent the reflectivity, velocity and spectrum width fields. The string callid_or_first_file contains the filename of the first extracted file from the NEXRAD tape or contains the 4 character callid (eg. KMLB). The first file on the tape is the only place where the site information is stored. A warning will be issued if it is detected that the file callid_or_first_file is not a proper NEXRAD tape header file.

### Return value

Upon successful completion, RSL_wsr88d_to_radar returns a pointer to the structure Radar. Otherwise, NULL is returned. A valid Radar structure will be returned if the infile is valid, dispite callid_or_first_file being invalid. Thus, it is not required to have callid_or_first_file.

### See also

RSL_anyformat_to_radar

Author: John H. Merritt.